# Object Storage


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

Exoscale Simple Object Storage (SOS) is an S3-compatible object storage service.

[Read more](https://community.exoscale.com/product/storage/object-storage/)


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>list-sos-buckets-usage

List SOS Buckets Usage

```
GET /sos-buckets-usage
```

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `sos-buckets-usage` | array of [SOS Bucket usage](/reference/api/_schemas/sos-bucket-usage/) |  |

<details>
<summary>Example output</summary>

```json
{
  "sos-buckets-usage": [
    {
      "created-at": "2024-01-01T12:00:00Z",
      "name": "string",
      "size": 0,
      "zone-name": "ch-dk-2"
    }
  ]
}
```
</details>


SDK reference for `list-sos-buckets-usage`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListSOSBucketsUsage) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_sos_buckets_usage) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listSosBucketsUsage())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-sos-buckets-usage`

## <span data-label="GET" class="pill-GET"></span>get-sos-presigned-url

Retrieve Presigned Download URL for SOS object

```
GET /sos/{bucket}/presigned-url
```

Generates Presigned Download URL for SOS object

### Path parameters

| Name | In | Description |
| --- | --- | --- |
| `bucket` | `path` |  |

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `key` | `query` | no |  |

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `url` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "url": "string"
}
```
</details>


SDK reference for `get-sos-presigned-url`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetSOSPresignedURL) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_sos_presigned_url) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getSosPresignedUrl(java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-sos-presigned-url`


